### Constructor

# Phosh Ambient new

#### Declaration [src]

    PhoshAmbient*
    phosh_ambient_new (
      PhoshSensorProxyManager* sensor_proxy_manager
    )

#### Description

No description available.

#### Parameters

`sensor_proxy_manager`

  Type: `PhoshSensorProxyManager`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `PhoshAmbient`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.